VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::DiskStub Class Reference

Remote stub implementation of the Disk API service. More...

Inherits vmware::vcenter::vm::hardware::Disk.

List of all members.

## Public Member Functions
| DiskStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.DiskTypes.Summary > | List (string vm)
| Returns commonly used information about the virtual disks belonging to the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.DiskTypes.Summary > | List (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual disks belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.DiskTypes.Summary > > | ListAsync (string vm)
| Returns commonly used information about the virtual disks belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.DiskTypes.Summary > > | ListAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual disks belonging to the virtual machine.
vmware.vcenter.vm.hardware.DiskTypes.Info | Get (string vm, string disk)
| Returns information about a virtual disk.
vmware.vcenter.vm.hardware.DiskTypes.Info | Get (string vm, string disk, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual disk.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.DiskTypes.Info > | GetAsync (string vm, string disk)
| Returns information about a virtual disk.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.DiskTypes.Info > | GetAsync (string vm, string disk, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual disk.
string | Create (string vm, vmware.vcenter.vm.hardware.DiskTypes.CreateSpec spec)
| Adds a virtual disk to the virtual machine.
string | Create (string vm, vmware.vcenter.vm.hardware.DiskTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual disk to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.DiskTypes.CreateSpec spec)
| Adds a virtual disk to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.DiskTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual disk to the virtual machine.
void | Update (string vm, string disk, vmware.vcenter.vm.hardware.DiskTypes.UpdateSpec spec)
| Updates the configuration of a virtual disk.
void | Update (string vm, string disk, vmware.vcenter.vm.hardware.DiskTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual disk.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string disk, vmware.vcenter.vm.hardware.DiskTypes.UpdateSpec spec)
| Updates the configuration of a virtual disk.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string disk, vmware.vcenter.vm.hardware.DiskTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual disk.
void | Delete (string vm, string disk)
| Removes a virtual disk from the virtual machine.
void | Delete (string vm, string disk, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual disk from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string disk)
| Removes a virtual disk from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string disk, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual disk from the virtual machine.

## Detailed Description

Remote stub implementation of the Disk API service.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::DiskStub::DiskStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

string vmware::vcenter::vm::hardware::DiskStub::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.DiskTypes.CreateSpec | spec
| ) |  | `[inline]`

Adds a virtual disk to the virtual machine.

While adding the virtual disk, a new VMDK file may be created or an existing VMDK file may be used to back the virtual disk.

Exceptions:

  vmware.vapi.std.errors.Error | if system reported that the disk device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual disk type is IDE.
  vmware.vapi.std.errors.UnableToAllocateResource | if the specified storage address is unavailable; for example, if the SCSI adapter requested does not exist.
  vmware.vapi.std.errors.ResourceInUse | if the specified storage address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified storage address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual disk.

Returns:
  Virtual disk identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

Implements vmware::vcenter::vm::hardware::Disk.

string vmware::vcenter::vm::hardware::DiskStub::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.DiskTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds a virtual disk to the virtual machine.

While adding the virtual disk, a new VMDK file may be created or an existing VMDK file may be used to back the virtual disk.

Exceptions:

  vmware.vapi.std.errors.Error | if system reported that the disk device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual disk type is IDE.
  vmware.vapi.std.errors.UnableToAllocateResource | if the specified storage address is unavailable; for example, if the SCSI adapter requested does not exist.
  vmware.vapi.std.errors.ResourceInUse | if the specified storage address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified storage address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual disk.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual disk identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::DiskStub::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.DiskTypes.CreateSpec | spec
| ) |  | `[inline]`

Adds a virtual disk to the virtual machine.

While adding the virtual disk, a new VMDK file may be created or an existing VMDK file may be used to back the virtual disk.

Exceptions:

  vmware.vapi.std.errors.Error | if system reported that the disk device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual disk type is IDE.
  vmware.vapi.std.errors.UnableToAllocateResource | if the specified storage address is unavailable; for example, if the SCSI adapter requested does not exist.
  vmware.vapi.std.errors.ResourceInUse | if the specified storage address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified storage address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual disk.

Returns:
  Virtual disk identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::DiskStub::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.DiskTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds a virtual disk to the virtual machine.

While adding the virtual disk, a new VMDK file may be created or an existing VMDK file may be used to back the virtual disk.

Exceptions:

  vmware.vapi.std.errors.Error | if system reported that the disk device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual disk type is IDE.
  vmware.vapi.std.errors.UnableToAllocateResource | if the specified storage address is unavailable; for example, if the SCSI adapter requested does not exist.
  vmware.vapi.std.errors.ResourceInUse | if the specified storage address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified storage address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual disk.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual disk identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

Implements vmware::vcenter::vm::hardware::Disk.

void vmware::vcenter::vm::hardware::DiskStub::Delete | ( | string | vm,
|  | string | disk
| ) |  | `[inline]`

Removes a virtual disk from the virtual machine.

This method does not destroy the VMDK file that backs the virtual disk. It only detaches the VMDK file from the virtual machine. Once detached, the VMDK file will not be destroyed when the virtual machine to which it was associated is deleted.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual disk type is IDE.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

Implements vmware::vcenter::vm::hardware::Disk.

void vmware::vcenter::vm::hardware::DiskStub::Delete | ( | string | vm,
|  | string | disk,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes a virtual disk from the virtual machine.

This method does not destroy the VMDK file that backs the virtual disk. It only detaches the VMDK file from the virtual machine. Once detached, the VMDK file will not be destroyed when the virtual machine to which it was associated is deleted.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual disk type is IDE.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::DiskStub::DeleteAsync | ( | string | vm,
|  | string | disk
| ) |  | `[inline]`

Removes a virtual disk from the virtual machine.

This method does not destroy the VMDK file that backs the virtual disk. It only detaches the VMDK file from the virtual machine. Once detached, the VMDK file will not be destroyed when the virtual machine to which it was associated is deleted.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual disk type is IDE.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::DiskStub::DeleteAsync | ( | string | vm,
|  | string | disk,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes a virtual disk from the virtual machine.

This method does not destroy the VMDK file that backs the virtual disk. It only detaches the VMDK file from the virtual machine. Once detached, the VMDK file will not be destroyed when the virtual machine to which it was associated is deleted.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended or if the virtual machine is powered on and virtual disk type is IDE.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Disk.

vmware.vcenter.vm.hardware.DiskTypes.Info vmware::vcenter::vm::hardware::DiskStub::Get | ( | string | vm,
|  | string | disk
| ) |  | `[inline]`

Returns information about a virtual disk.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

Returns:
  Information about the specified virtual disk.

Implements vmware::vcenter::vm::hardware::Disk.

vmware.vcenter.vm.hardware.DiskTypes.Info vmware::vcenter::vm::hardware::DiskStub::Get | ( | string | vm,
|  | string | disk,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about a virtual disk.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual disk.

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.DiskTypes.Info> vmware::vcenter::vm::hardware::DiskStub::GetAsync | ( | string | vm,
|  | string | disk,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about a virtual disk.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual disk.

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.DiskTypes.Info> vmware::vcenter::vm::hardware::DiskStub::GetAsync | ( | string | vm,
|  | string | disk
| ) |  | `[inline]`

Returns information about a virtual disk.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

Returns:
  Information about the specified virtual disk.

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.DiskTypes.Summary> vmware::vcenter::vm::hardware::DiskStub::List | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns commonly used information about the virtual disks belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about the virtual disks.

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.DiskTypes.Summary> vmware::vcenter::vm::hardware::DiskStub::List | ( | string | vm | ) | `[inline]`

Returns commonly used information about the virtual disks belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about the virtual disks.

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.DiskTypes.Summary> > vmware::vcenter::vm::hardware::DiskStub::ListAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns commonly used information about the virtual disks belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about the virtual disks.

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.DiskTypes.Summary> > vmware::vcenter::vm::hardware::DiskStub::ListAsync | ( | string | vm | ) | `[inline]`

Returns commonly used information about the virtual disks belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about the virtual disks.

Implements vmware::vcenter::vm::hardware::Disk.

void vmware::vcenter::vm::hardware::DiskStub::Update | ( | string | vm,
|  | string | disk,
|  | vmware.vcenter.vm.hardware.DiskTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration of a virtual disk.

An update method can be used to detach the existing VMDK file and attach another VMDK file to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual disk.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .
  spec | Specification for updating the virtual disk.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Disk.

void vmware::vcenter::vm::hardware::DiskStub::Update | ( | string | vm,
|  | string | disk,
|  | vmware.vcenter.vm.hardware.DiskTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the configuration of a virtual disk.

An update method can be used to detach the existing VMDK file and attach another VMDK file to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual disk.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .
  spec | Specification for updating the virtual disk.

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::DiskStub::UpdateAsync | ( | string | vm,
|  | string | disk,
|  | vmware.vcenter.vm.hardware.DiskTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the configuration of a virtual disk.

An update method can be used to detach the existing VMDK file and attach another VMDK file to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual disk.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .
  spec | Specification for updating the virtual disk.

Implements vmware::vcenter::vm::hardware::Disk.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::DiskStub::UpdateAsync | ( | string | vm,
|  | string | disk,
|  | vmware.vcenter.vm.hardware.DiskTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration of a virtual disk.

An update method can be used to detach the existing VMDK file and attach another VMDK file to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual disk is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual disk.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  disk | Virtual disk identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .
  spec | Specification for updating the virtual disk.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Disk.

The documentation for this class was generated from the following file:

- DiskStub.cs